# Visualization
TKMeshVS
MeshVS

# MeshVS_DataMapIteratorOfDataMapOfIntegerVector Class Reference

`#include <MeshVS_DataMapIteratorOfDataMapOfIntegerVector.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | MeshVS_DataMapIteratorOfDataMapOfIntegerVector ()
Standard_EXPORT | MeshVS_DataMapIteratorOfDataMapOfIntegerVector (const MeshVS_DataMapOfIntegerVector &aMap)
Standard_EXPORT void | Initialize (const MeshVS_DataMapOfIntegerVector &aMap)
Standard_EXPORT const Standard_Integer & | Key () const
Standard_EXPORT const gp_Vec & | Value () const

## Constructor & Destructor Documentation

Standard_EXPORT MeshVS_DataMapIteratorOfDataMapOfIntegerVector::MeshVS_DataMapIteratorOfDataMapOfIntegerVector | ( |  | ) |

Standard_EXPORT MeshVS_DataMapIteratorOfDataMapOfIntegerVector::MeshVS_DataMapIteratorOfDataMapOfIntegerVector | ( | const MeshVS_DataMapOfIntegerVector & | aMap | ) |

## Member Function Documentation

Standard_EXPORT void MeshVS_DataMapIteratorOfDataMapOfIntegerVector::Initialize | ( | const MeshVS_DataMapOfIntegerVector & | aMap | ) |

Standard_EXPORT const Standard_Integer& MeshVS_DataMapIteratorOfDataMapOfIntegerVector::Key | ( |  | ) | const

void MeshVS_DataMapIteratorOfDataMapOfIntegerVector::operator delete | ( | void * | anAddress | ) | `[inline]`

void* MeshVS_DataMapIteratorOfDataMapOfIntegerVector::operator new | ( | size_t | size | ) | `[inline]`

void* MeshVS_DataMapIteratorOfDataMapOfIntegerVector::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT const gp_Vec& MeshVS_DataMapIteratorOfDataMapOfIntegerVector::Value | ( |  | ) | const

The documentation for this class was generated from the following file:

- MeshVS_DataMapIteratorOfDataMapOfIntegerVector.hxx